---------------------------------
-----------Alpego-----------
---------------------------------
---------------------------------
--------- @matteo135 ---------
-------- @date  12/05/2011 --------
---------------------------------

Alpego = {};

function Alpego.prerequisitesPresent(specializations)
    return true;
end;

function Alpego:load(xmlFile)
 ------ Suoni -----
	local workSound = getXMLString(xmlFile, "vehicle.workSound#file");
    if workSound ~= nil and workSound ~= "" then
        workSound = Utils.getFilename(workSound, self.baseDirectory);
        self.workSound = createSample("workSound");
        self.workSoundEnabled = false;
        loadSample(self.workSound, workSound, false);
        self.workSoundPitchOffset = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.workSound#pitchOffset"), 1);
        self.workSoundVolume = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.workSound#volume"), 1);
    end;
end;

function Alpego:delete()
if self.workSoundEnabled then
		stopSample(self.workSound);
		self.workSoundEnabled = false;
	end;
end;

function Alpego:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Alpego:keyEvent(unicode, sym, modifier, isDown)
end;

function Alpego:update(dt)
		if self:isLowered(false)  then
				local x,y,z = getWorldTranslation(self.cuttingAreas[1].start);
				local x1,y1,z1 = getWorldTranslation(self.cuttingAreas[1].width);
				local x2,y2,z2 = getWorldTranslation(self.cuttingAreas[1].height);
				Utils.updatePloughArea(x, z, x1, z1, x2, z2);
			end;
	-- if not self.workSoundEnabled and self:isLowered(false) then
		--		playSample(self.workSound, 0, self.workSoundVolume, 0);
		--		setSamplePitch(self.workSound, self.workSoundPitchOffset);
		--		self.workSoundEnabled = true;
		-- end;
		 --	else
         --if	 self.workSoundEnabled then
		--stopSample(self.workSound);
		--self.workSoundEnabled = false;



end;

function Alpego:draw()
end;

function Alpego:onAttach(attacherVehicle)
end;

function Alpego:onDetach()
	if self.workSoundEnabled then
		stopSample(self.workSound);
		self.workSoundEnabled = false;
	end;
end;

function Alpego:onEnter()
end;

function Alpego:onLeave()
end;

function Alpego:onActivate()
end;

function Alpego:onDeactivate()
end;

function Alpego:onDeactivateSounds()
end;

function Alpego:addContactReports()
end;

function Alpego:removeContactReports()
end;

function Alpego:groundContactReport(objectId, otherObjectId, isStart, normalForce, tangentialForce)

end;

function Alpego:validateAttacherJoint(implement, jointDesc, dt)
end;
